[gnome-hello/wip/kill-gnome-common: 1/3] build-sys: Stop using gnome-autogen.sh



commit d53f7f7f07468bcee0e82e605774d682015bc6f4
Author: David King <amigadave amigadave com>
Date:   Tue Jan 27 11:47:10 2015 +0000

    build-sys: Stop using gnome-autogen.sh
    
    As gnome-common is about to be retired, use a custom autogen.sh.

 autogen.sh |   48 ++++++++++++++++++++++++++++++++++++------------
 1 files changed, 36 insertions(+), 12 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index e9219aa..d9452ad 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,18 +4,42 @@
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-PKG_NAME="gnome-hello"
-
-(test -f $srcdir/src/Makefile.am) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
+(test -f $srcdir/configure.ac) || {
+        echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
+        exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common module and make"
-    echo "sure the gnome-autogen.sh script is in your \$PATH."
-    exit 1
-}
+PKG_NAME=`autoconf --trace "AC_INIT:$1" "$srcdir/configure.ac"`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+        echo "If you wish to pass any to it, please specify them on the" >&2
+        echo \`$0\'" command line." >&2
+        echo "" >&2
+fi
+
+# if the AC_CONFIG_MACRO_DIR() macro is used, create that directory
+# This is a automake bug fixed in automake 1.13.2
+# See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13514
+m4dir=`autoconf --trace 'AC_CONFIG_MACRO_DIR:$1'`
+if [ -n "$m4dir" ]; then
+        mkdir -p $m4dir
+fi
+
+set -x
+
+glib-gettextize --force --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
+
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
 
-. gnome-autogen.sh
+set +x


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]